/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\bodquest\conversations.cs
Lines of code: 110
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.Bods
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "You seem preoccupied with another quest at the moment, please return when you are fully ready to be of good use!";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
	
		public override object Message
		{
			get
			{
				if(System==null || !(System is BodQuest))return "Quest error @ AcceptConversation: Contact the administrator.";
				
				BodQuest bq = System as BodQuest;				
				
				
				return (object)String.Format("Thank you!  You will greatly help improve our operations.<br><br>Please bring me {0} {1} and I will reward you for your help.",bq.ResourceAmount,bq.ResourceName);
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			System.AddObjective( new CollectResourcesObjective() );
		}
	}

	
	public class GotResourcesConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "<i>Thank you!  Due to our high standards in manufacturing of high quality products, I must pass these resources through a serries of quality control tests before they are put in production.<br><br>I will need you to craft several peices of armor, or weapons, that are not too easy for your skill and put them in this special bag I will give you.  You may use any crafting skill you want, but need to use the same material.<br><br>The bag will turn blue once you have collected enough items for a proper test.  When that happens,  bring it back to me.</i>";
			}
		}

		public GotResourcesConversation()
		{
		}

		public override void OnRead()
		{
		System.From.GiveItem(new BodQuestBag(),false);
		System.AddObjective( new CraftItemObjective() );
		System.ShowQuestLogUpdated();
		}
	}
	
	
	
	
	
	public class DoneCraftConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				if(System==null || !(System is BodQuest))return "Quest error @ DoneCraftConversation: Contact the administrator.";
				
				BodQuest bq = System as BodQuest;					
			
				if(bq.Vendor==null || bq.Vendor.Deleted)
				return "It is with deep regret that we inform you that the vendor you were helping has passed away a very horrible death.  Please return the bag to any other vendor to arrange for your reward.";
			
				return (object)String.Format("You crafted sufficient items for quality control testing.  Return to {0} {1} to give {2} the bag.",bq.Vendor.Name,bq.Vendor.Title,bq.Vendor.Female ? "her" : "him");
			}
		}

		public DoneCraftConversation()
		{
		}

		public override void OnRead()
		{
		}
	}		
	
	public class NotDoneConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "You are missing some materials, please return once you have gathered them all!";
			}
		}

		public NotDoneConversation()
		{
		}

		public override void OnRead()
		{
		}
	}	
	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "<i>Thank you for your time!  Here is your reward!</i>";
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
		BodQuest.GiveRewardTo( System.From);
		}
	}		
	
	
}